Delete Evaluation Group

Soft deletes an evaluation group and removes all its associated evaluation templates.

Delete Evaluation Group

Soft deletes an evaluation group and removes all its associated evaluation templates.

DELETE https://api.futureagi.com/model-hub/eval-groups/{id}/
Bearer
id *
          Click "Try It" to send a request
        

Authentication

This endpoint requires authentication. Include your API key in the Authorization header:

Authorization: Bearer YOUR_API_KEY

Parameters

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe UUID of the evaluation group to delete.

Responses

204

Evaluation group deleted successfully.

400

Bad Request. The evaluation group does not exist for this user.

401

Unauthorized. Authentication credentials were not provided or are invalid.

Code Examples

cURL

curl -X DELETE "https://api.futureagi.com/model-hub/eval-groups/{id}/" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Python

import requests

url = "https://api.futureagi.com/model-hub/eval-groups/{id}/"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

response = requests.delete(url, headers=headers)
print(response.json())

JavaScript

const response = await fetch("https://api.futureagi.com/model-hub/eval-groups/{id}/", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
  },
});

const data = await response.json();
console.log(data);
Was this page helpful?

Questions & Discussion